# norootforbuild
#!BuildIgnore:          post-build-checks

%define libvlc 2
%define libvlccore 0


Name:		vlc
Version: 	0.9.8a
Release:	29.7

Summary:	VLC - Video Lan Client (preview of the upcoming version)
URL:		http://www.videolan.org/
License:	GNU General Public License (GPL)
Group:		Productivity/Multimedia/Video/Players

Source0:	http://download.videolan.org/pub/videolan/vlc/%{version}/%{name}-%{version}.tar.bz2

Patch0:		%{name}-%{version}-fix_font_path.patch
Patch1:		%{name}-%{version}-windows.patch

Requires:	vlc-noX = %{version}-%{release}
Requires:	vlc-qt = %{version}-%{release}
Recommends:	freefont

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	flac-devel fribidi-devel gcc-c++ gnome-vfs2-devel gnutls-devel
BuildRequires:	liba52dec-devel libavc1394-devel libcddb-devel libcdio-devel libdvbpsi5
BuildRequires:  libdvdnav-devel libdvdread-devel libffmpeg-devel libggi-devel
BuildRequires:	libid3tag-devel libjack-devel libkate-devel libmad-devel libmodplug
BuildRequires:	libmp3lame-devel libmpeg2-devel libnotify-devel libpulse-devel libqt4-devel librsvg-devel
BuildRequires:	libshout-devel libsmbclient-devel libtwolame-devel libupnp-devel
BuildRequires:	live lua-devel portaudio-devel SDL_image-devel speex-devel sysfsutils
BuildRequires:	update-desktop-files vcdimager-devel xosd-devel zvbi-devel

%if 0%{?suse_version} < 1110
BuildRequires:	libtar
%endif

%if 0%{?suse_version} >= 1100
BuildRequires:	libdvbpsi-devel amrwb-devel amrnb-devel
%endif

%if 0%{?suse_version} >= 1030
BuildRequires:	goom2k4-devel libcdio_paranoia0 libebml-devel libmatroska-devel
BuildRequires:	libmpcdec-devel lirc-devel mozilla-xulrunner181-devel
%endif

%if 0%{?suse_version} == 1020
BuildRequires:	goom2k4 libebml libmatroska libmpcdec-devel libnotify-devel lirc mozilla-xulrunner181-devel
%endif

%if 0%{?sles_version} == 10
BuildRequires:  libmpcdec-devel autoconf > 2.59
%endif


%description
VLC media player is a highly portable multimedia player for various 
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) 
as well as DVDs, VCDs, and various streaming protocols. 
It can also be used as a server to stream in unicast or multicast 
in IPv4 or IPv6 on a high-bandwidth network.


%package devel
Summary:	VLC Development system
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}

%description devel
Those development headers are required if you plan on coding against VLC


%package -n libvlc%{libvlc}
Summary:	Shared library libvlc
Group:		System/Libraries

%description -n libvlc%{libvlc}
Shared library libvlc. To be installed by system dependencies


%package -n libvlccore%{libvlccore}
Summary:	Shared library libvlc
Group:		System/Libraries

%description -n libvlccore%{libvlccore}
Shared library libvlc. To be installed by system dependencies


%package noX
Summary:	VLC: VideoLAN Client - without X dependencies
Group:		Productivity/Multimedia/Video/Players
Requires:	libvlc%{libvlc} = %{version}-%{release}
Requires:	libvlccore%{libvlccore} = %{version}-/%{release}

%description noX
This Package of VLC contains the bare requirements you need to install.
Here is no graphical User Interface included, thus it's also perfectly
suitable for server installations (Streaming Server for example)

Should you decide to install the GUI modules, %{name}-noX will stay
installed as a dependency.


%package qt
Summary:	VLC: VideoLAN Client - Qt interface
Group:		Productivity/Multimedia/Video/Players
Supplements:	packageand(%{name}-noX:libqt4)
Requires:	vlc-noX = %{version}-%{release}

%description qt
The all new Qt interface for the VLC VideoLAN Client.

%package gnome
Summary:	VLC: VideoLAN Client - Gnome Access Modules
Group:		Productivity/Multimedia/Video/Players
Supplements:	packageand(%{name}-noX:gnome-vfs2)
Requires:	vlc-noX = %{version}-%{release}

%description gnome
In order to integrate flawless into GNOME, there are some access modules
for gnome-vfs2.


%package mozillaplugin
Summary:	The mozilaplugin enables VLC inside Mozilla Browser
Group:		Productivity/Multimedia/Video/Players
Requires:	vlc-noX = %{version}-%{release}

%description mozillaplugin
With this plugin, you enable video content withing the Mozilla Browser Suites


%package aout-pulse
Summary:	VLC Audio Out for Pulse Audio
Group:		System/Libraries
Supplements:	packageand(%{name}-noX:pulseaudio)
Requires:	%{name} = %{version}-%{release}
Requires:	vlc-noX = %{version}-%{release}

%description aout-pulse
Extends VLC with Pulse Audio Support for Audio Out


%debug_package


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
#./bootstrap
%configure \
        --enable-libtool    --enable-release    --enable-shout      --enable-live555    \
        --enable-dc1394     --enable-dv         --enable-dvdread    --enable-v4l        \
        --enable-pvr        --enable-cddax      --enable-vcdx       --enable-dvb        \
        --enable-faad       --enable-twolame    --enable-real       --enable-realrtsp   \
        --enable-flac       --enable-tarkin     --enable-theora     --enable-lirc       \
        --enable-snapshot   --enable-mga        --enable-ggi        --enable-aa         \
        --enable-caca       --enable-esd        --enable-portaudio  --enable-arts       \
        --enable-jack       --enable-cyberlink  --enable-pda        --enable-ncurses    \
        --enable-xosd       --enable-galaktos   --enable-goom       --enable-mozilla    \
	--enable-gnomevfs								\
        --with-live555-tree=%{_libdir}/live 						\
%ifarch %ix86
        --enable-loader									\
%endif
%if 0%{?suse_version} >= 1030
        --enable-svg
%endif

%__make %{?jobs:-j%jobs}


%install
%makeinstall

%find_lang vlc

%suse_update_desktop_file %name AudioVideo Player Video

%__mkdir -p %{buildroot}/%{_datadir}/pixmaps
%__ln_s %{_datadir}/vlc/vlc48x48.png %{buildroot}/%{_datadir}/pixmaps/vlc.png

%__install -d %{buildroot}/%{_libdir}/browser-plugins/
%__ln_s %{_libdir}/mozilla/plugins/libvlcplugin.so %{buildroot}/%{_libdir}/browser-plugins/libvlcplugin.so

# delete .la files
find %{buildroot} -name *.la -exec rm {} \;


%clean
%__rm -rf "%{buildroot}"


%post -n %{name}-noX -p /sbin/ldconfig

%postun -n %{name}-noX -p /sbin/ldconfig

%post -n libvlc%{libvlc} -p /sbin/ldconfig

%postun -n libvlc%{libvlc} -p /sbin/ldconfig

%post -n libvlccore%{libvlccore} -p /sbin/ldconfig

%postun -n libvlccore%{libvlccore} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_datadir}/applications/vlc.desktop
%{_datadir}/pixmaps/vlc.png
%{_libdir}/vlc/access/libscreen_plugin.so
%{_libdir}/vlc/gui/libskins2_plugin.so
%{_libdir}/vlc/misc/libnotify_plugin.so
%{_libdir}/vlc/misc/libxosd_plugin.so
%{_libdir}/vlc/video_filter/libpanoramix_plugin.so
%{_libdir}/vlc/video_output/libaa_plugin.so
%{_libdir}/vlc/video_output/libglx_plugin.so
%{_libdir}/vlc/video_output/libopengl_plugin.so
%{_libdir}/vlc/video_output/libx11_plugin.so
%{_libdir}/vlc/video_output/libxvideo_plugin.so

%files noX -f vlc.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/vlc/
%doc NEWS AUTHORS COPYING HACKING THANKS MAINTAINERS README 
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_datadir}/vlc/*
%{_libdir}/vlc
# exclude the pulse audio output module from here. Seperate package
%exclude %{_libdir}/vlc/audio_output/libpulse_plugin.so
#exclude the Qt modules from here. Seperate package
%exclude %{_libdir}/vlc/gui/libqt4_plugin.so
# Exclude all Files that should go to the X-Dependent package
%exclude %{_libdir}/vlc/access/libscreen_plugin.so
%exclude %{_libdir}/vlc/gui/libskins2_plugin.so
%exclude %{_libdir}/vlc/misc/libnotify_plugin.so
%exclude %{_libdir}/vlc/misc/libxosd_plugin.so
%exclude %{_libdir}/vlc/video_filter/libpanoramix_plugin.so
%exclude %{_libdir}/vlc/video_output/libaa_plugin.so
%exclude %{_libdir}/vlc/video_output/libglx_plugin.so
%exclude %{_libdir}/vlc/video_output/libopengl_plugin.so
%exclude %{_libdir}/vlc/video_output/libx11_plugin.so
%exclude %{_libdir}/vlc/video_output/libxvideo_plugin.so
%exclude %{_libdir}/vlc/access/libaccess_gnomevfs_plugin.so

%files -n libvlc%{libvlc}
%defattr(-,root,root)
%{_libdir}/libvlc.so.%{libvlc}*

%files -n libvlccore%{libvlccore}
%defattr(-,root,root)
%{_libdir}/libvlccore.so.%{libvlccore}*

%files qt
%defattr(-,root,root)
%{_bindir}/qvlc
%{_bindir}/svlc
%{_libdir}/vlc/gui/libqt4_plugin.so

%files gnome
%defattr(-,root,root)
%{_libdir}/vlc/access/libaccess_gnomevfs_plugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/vlc/
%{_libdir}/libvlccore.so
%{_libdir}/libvlc.so
%{_libdir}/pkgconfig/libvlc.pc
%{_libdir}/pkgconfig/vlc-plugin.pc

%files aout-pulse
%defattr(-,root,root)
%{_libdir}/vlc/audio_output/libpulse_plugin.so

%files mozillaplugin
%defattr(-,root,root)
%{_libdir}/browser-plugins/libvlcplugin.so
%{_libdir}/mozilla/plugins/libvlcplugin.so


%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
